@import "vars.css";

.loader{
	width: 100px;
	height: 100px;
	border-radius: 100%;
	position: relative;
	margin: 0 auto;
}
.loader-modal{
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
/* LOADER 1 */
#loader-1 span{
	display: inline-block;
	width: 30px;
	height: 30px;
	border-radius: 100%;
	background-color: #7a6900;
	margin: 5px;
	opacity: 0;
}
#loader-1 span:nth-child(1){
	animation: opacitychange 1s ease-in-out infinite;
}
#loader-1 span:nth-child(2){
	animation: opacitychange 1s ease-in-out 0.33s infinite;
}
#loader-1 span:nth-child(3){
	animation: opacitychange 1s ease-in-out 0.66s infinite;
}

.loading-modal .modal-dialog{
	display: flex;
	top: calc(43% - 24px);
	flex-wrap: wrap;
	justify-content: center;
	align-content: center;
}

.loading-modal .modal-dialog .modal-content{
	border: none;
	border-radius: 20px;
	width: unset;
}


.btn-loader {
	font-weight: 900;
	position: relative;
}

.btn-loader::after {
	content: '';
	display: block;
	width: 1.5em;
	height: 1.5em;
	position: absolute;
	left: calc(50% - 0.75em);
	top: calc(50% - 0.75em);
	border: 0.25em solid transparent;
	border-right-color: white;
	border-radius: 50%;
	animation: buttonAnim 0.6s linear infinite;
	opacity: 0;
}

.btn-loader.loading {
	color: transparent;
}

.btn-loader.loading::after {
	opacity: 1;
}